package com.yc.education.service.impl;/**
 * huangpan
 * 2019/11/5
 * tongnai
 */

import com.yc.education.mapper.ProductenMapper;
import com.yc.education.model.Producten;
import com.yc.education.service.ProductenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class ProductenServiceImpl extends BaseService<Producten> implements ProductenService {

    @Autowired
    private ProductenMapper productenMapper;

    @Override
    public List<Producten> findProductByPid(Integer cid, Integer wid, String name, String minDate, String maxDate) {
        return productenMapper.findProductByPid(cid,wid,name,minDate,maxDate);
    }

    @Override
    public void deleteByCid(Integer cid) {
        productenMapper.deleteByCid(cid);
    }

    @Override
    public Producten findProductById01(Integer id,Integer cid,Integer wid) {
        return productenMapper.findProductById01(id,cid,wid);
    }

    @Override
    public Producten findProductById02(Integer id,Integer cid,Integer wid) {
        return productenMapper.findProductById02(id,cid,wid);
    }

    @Override
    public void deleteByWid(Integer wid) {
        productenMapper.deleteByWid(wid);
    }
}
